Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class MeetingStatusEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.exchange.MeetingStatusEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class MeetingStatusEnum
extends CollabEnum
implements java.io.Serializable

This class is used to represent the status of an appointment. Appointments can be standalone entries, or organized meetings. The enumeration class that contains `MeetingStatus` elements.

See Also:
  Serialized Form

Field Summary
`static MeetingStatus` | `MEETING` Indicates that this appointment is a meeting.
`static MeetingStatus` | `MEETING_CANCELLED` Indicates that this appointment was an organized meeting, but was cancelled.
`static MeetingStatus` | `MEETING_CANCELLED_NO_RESPONSE` Indicates that this appointment was an organized meeting, but was cancelled and had not responses to invitations.
`static MeetingStatus` | `MEETING_RECEIVED` Indicates that this appointment is a meeting and has been received by the attendees.
`static MeetingStatus` | `NON_MEETING` Indicates that this appointment is not a meeting.
`static int` | `NUM_ELEMENTS`
`static int` | `VALUE_MEETING`
`static int` | `VALUE_MEETING_CANCELLED`
`static int` | `VALUE_MEETING_CANCELLED_NO_RESPONSE`
`static int` | `VALUE_MEETING_RECEIVED`
`static int` | `VALUE_NON_MEETING`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `MeetingStatusEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `MeetingStatusEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_NON_MEETING

    public static final int VALUE_NON_MEETING

See Also:
  Constant Field Values

### VALUE_MEETING

    public static final int VALUE_MEETING

See Also:
  Constant Field Values

### VALUE_MEETING_RECEIVED

    public static final int VALUE_MEETING_RECEIVED

See Also:
  Constant Field Values

### VALUE_MEETING_CANCELLED

    public static final int VALUE_MEETING_CANCELLED

See Also:
  Constant Field Values

### VALUE_MEETING_CANCELLED_NO_RESPONSE

    public static final int VALUE_MEETING_CANCELLED_NO_RESPONSE

See Also:
  Constant Field Values

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also:
  Constant Field Values

### NON_MEETING

    public static final MeetingStatus NON_MEETING

  Indicates that this appointment is not a meeting.

### MEETING

    public static final MeetingStatus MEETING

  Indicates that this appointment is a meeting.

### MEETING_RECEIVED

    public static final MeetingStatus MEETING_RECEIVED

  Indicates that this appointment is a meeting and has been received by the attendees.

### MEETING_CANCELLED

    public static final MeetingStatus MEETING_CANCELLED

  Indicates that this appointment was an organized meeting, but was cancelled.

### MEETING_CANCELLED_NO_RESPONSE

    public static final MeetingStatus MEETING_CANCELLED_NO_RESPONSE

  Indicates that this appointment was an organized meeting, but was cancelled and had not responses to invitations.

Constructor Detail

### MeetingStatusEnum

    protected MeetingStatusEnum(java.lang.Class elementClass,
                                int iNumElements,
                                com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                EnumElement defaultElement,
                                java.lang.String sInternalName,
                                boolean bMaskable)

  Constructor.

### MeetingStatusEnum

    protected MeetingStatusEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.